@font-face {
    font-family: Inter;
    src: url(/font/Inter/static/Inter-Regular.ttf);
}

@font-face {
    font-family: Gilroy;
    src: url(/font/Gilroy-Extrabold/Gilroy-Extrabold.ttf);
}

body {
    background: url("/Img/Registro/7763097 1.jpg");
}



a {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.contenedor-principal {
    display: flex;
    padding: 32px 24px 0 24px;
    justify-content: center;
    align-items: center;
    gap: 64px;
    flex: 1 0 0;
    align-self: stretch;
    max-height: 100vh;
}

.contenedor-busqueda {
    display: flex;
    min-width: 768px;
    max-width: 1140px;
    flex-direction: column;
    align-items: center;
    flex: 1 0 0;
    align-self: stretch;
    border-radius: var(--spacing-spacing-md, 16px);
    background: #fff;
}

.contenedor-busqueda-header {
    display: flex;
    padding: 32px;
    flex-direction: column;
    gap: var(--spacing-spacing-md, 16px);
    align-self: stretch;
}

.contenedor-search-bar {
    display: flex;
    height: 48px;
    width: 100%;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}

.search-bar {
    display: flex;
    padding: 12px 16px;
    align-items: center;
    gap: 16px;
    align-self: stretch;
    border-radius: 8px;
    border: 1px solid var(--Tokens-Others-borderLight, rgba(102, 102, 102, 0.2));
    background: var(--Tokens-Surface-surfaceFocused, #f6f6f6);
}

.active-filtro-modo {
    background-color: #E2702C;
    color: #FFF !important;
}

.inactive-filtro-modo {
    background-color: #e6e6e6;
}

.filtros-search {
    display: flex;
    gap: 40px;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}

.search-type {
    display: flex;
    width: 375px;
    height: 40px;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}

.contenedor-seach-type-filtro {
    display: flex;
    padding: 4px;
    align-items: flex-start;
    gap: var(--spacing-spacing-sm, 8px);
    flex: 1 0 0;
    align-self: stretch;
    border-radius: var(--spacing-spacing-sm, 8px);
    background: var(--Primitives-Greyscale-lightestGrey, #e6e6e6);
}

.contenedor-filtro {
    display: flex;
    padding: 8px 24px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
    align-self: stretch;
    transition: background-color 0.7s ease;
    border-radius: 8px;
}

.contenedor-filtros-group {
    display: flex;
    max-width: 620px;
    justify-content: end;
    align-items: flex-start;
    gap: 16px;
    flex: 1 0 0;
}

.boton-contenedor-filtros {
    display: flex;
    padding: 8px 16px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border-radius: 16px;
    border: 1px solid var(--Tokens-Others-borderLight, rgba(102, 102, 102, 0.2));
}

.boton-filtro {
    display: flex;
    padding: 8px 16px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border-radius: 16px;
    border: 1px solid var(--Tokens-Others-borderLight, rgba(102, 102, 102, 0.2));
}

.input-buscar {
    width: 100%;
    background: var(--Tokens-Surface-surfaceFocused, #f6f6f6);
    border: 0;
}

    .input-buscar:focus {
        outline: none;
    }

.contenedor-perros {
    display: flex;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
    gap: 32px;
    align-self: stretch;
    background: #fff;
    flex-wrap: wrap;
}



.hide-contenedor {
    display: none;
}

.show-contenedor {
    display: flex;
}


.contenedor-busqueda-body {
    display: flex;
    width: 100%;
    padding: 32px;
    align-items: center;
    align-content: center;
    overflow-y: scroll;
}

.search-card {
    display: flex;
    min-width: 224px;
    max-width: 240px;
    padding-bottom: 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    border-radius: 16px;
    background: var(--Tokens-Surface-surfacePrimary, #fff);
    /* Shadow */
    box-shadow: 0px 0px 20px 0px rgba(1, 41, 112, 0.1);
}



.img-search-card {
    width: 100%;
    height: 240px;
    border-radius: 16px 16px 0 0;
    object-fit: cover;
    object-position: center;
}

.img-info-criadero {
    width: 20px;
    height: 20px;
    border-radius: 64px;
}

.contenedor-info-search-card {
    display: flex;
    padding: 0px var(--spacing-spacing-md, 16px);
    flex-direction: column;
    align-items: flex-start;
    gap: var(--spacing-spacing-sm, 8px);
    align-self: stretch;
}

.contenedor-info-criadero {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 4px;
    align-self: stretch;
}



/*ANIMACION DE PUBLICIDAD PANTALLAS PEQUEÑAS*/


.contenedor-publicidad {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}

.publicidad-movil {
    display: flex;
    position: fixed;
    padding: 8px 0px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    z-index: 1;
}


.carousel-container-banner {
    width: 320px;
    height: 770px;
    overflow: hidden;
    /* Para ocultar las imágenes fuera del contenedor */
    border-radius: 16px;
}

.carousel-container {
    width: 320px;
    height: 100px;
    overflow: hidden;
    /* Para ocultar las imágenes fuera del contenedor */
    border-radius: 16px;
}

.carousel {
    display: flex;
    width: fit-content;
    /* Ajusta el ancho al contenido total de las imágenes */
    transition: transform 0.5s ease-in-out;
}

    .carousel img {
        width: 320px;
       
        border-radius: 16px;
    }




.search-list {
    display: flex;
    height: 100px;
    align-self: stretch;
    min-width: 320px;
    width: 100%;
    max-width: 480px;
    padding-right: 8px;
    align-items: center;
    gap: 12px;
    border-radius: 16px;
    background: var(--Tokens-Surface-surfacePrimary, #FFF);
    /* Shadow */
    box-shadow: 0px 0px 20px 0px rgba(1, 41, 112, 0.10);
}

.img-list-card {
    width: 88px;
    height: 88px;
    flex-shrink: 0;
    border-radius: 16px;
}

.contenedor-list-info {
    display: flex;
    padding: 8px 0px;
    width: 100%;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    flex: 1 0 0;
    align-self: stretch;
}

.contenedor-chips {
    display: flex;
    align-items: flex-start;
    gap: 8px;
    max-width: 226px;
    overflow-x: scroll;
    scrollbar-width: none; /* Oculta el scroll en navegadores compatibles como Firefox */
    -ms-overflow-style: none; /* Oculta el scroll en Internet Explorer y Edge */
}

.chip {
    display: inline-flex;
    padding: 4px 6px;
    align-items: center;
    gap: 4px;
    white-space: nowrap;
    border-radius: 16px;
    color: #FFF;
    background: var(--surface-surface-brand, #E2702C);
}

.titulos-chips {
    align-self: stretch;
}

@media (min-width: 1600px) {
    #main {
        margin-left: 300px;
    }
}

@media (min-width: 960px) {


    .contenedor-publicidad {
        display: none;
    }

    .contenedor-banner {
        display: none;
    }
}

@media (min-width: 1480px) {
    #main {
        margin-left: 300px;
    }


    .search-list {
        min-width: 702px;
        max-width: 1072px;
    }

    .contenedor-chips {
        max-width: 1100px;
        overflow-x: scroll;
    }
}

@media (max-width: 1480px) and (min-width: 1190px) {
    #main {
        margin-left: 0;
    }

    .img-search-card {
        height: 180px;
    }

    .search-card {
        min-width: 200px;
        max-width: 200px;
        width: 200px !important;
    }


    .search-list {
        min-width: 690px;
        max-width: 700px;
    }

    .contenedor-chips {
        max-width: 920px;
        overflow-x: scroll;
    }

    .filtros-search {
        gap: 16px;
        flex-direction: column;
        align-items: flex-start;
    }
}

@media (max-width: 1190px) and (min-width: 960px) {

    #main {
        margin-left: 0;
    }

    .contenedor-busqueda {
        min-width: 680px;
        max-width: 780px;
    }

    .filtros-search {
        gap: 16px;
        flex-direction: column;
        align-items: flex-start;
    }



    .img-search-card {
        height: 180px;
    }

    .search-card {
        min-width: 190px;
        max-width: 190px;
        width: 190px !important;
    }

    .search-list {
        min-width: 600px;
        max-width: 700px;
    }

    .img-list-card {
        width: 88px;
        height: 88px;
        flex-shrink: 0;
        border-radius: 16px;
    }



    .contenedor-chips {
        max-width: 920px;
        overflow-x: scroll;
    }
}

@media (max-width: 960px) and (min-width: 720px) {

    #main {
        flex-direction: column;
    }

    .contenedor-principal {
        padding: 0;
        margin-top: 120px;
    }

    .search-card {
        max-width: 222px;
        width: 222px !important;
    }

    .boton-filtro {
        display: none;
    }

    .banner {
        display: none !important;
    }

    .search-list {
        min-width: 720px;
        max-width: 960px;
    }

    .img-list-card {
        width: 88px;
        height: 88px;
        flex-shrink: 0;
        border-radius: 16px;
    }



    .contenedor-chips {
        max-width: 920px;
        overflow-x: scroll;
    }
}

/*PANTALLAS MEDIANAS*/
@media (max-width: 720px) and (min-width: 480px) {
    #main {
        flex-direction: column;
    }

    .contenedor-principal {
        padding: 0;
        margin-top: 120px;
    }

    .contenedor-busqueda-header {
        padding: 8px;
    }

    .contenedor-busqueda-body {
        padding: 8px;
    }

    .contenedor-busqueda {
        min-width: 480px;
        max-width: 720px;
        flex-direction: column;
    }

    .filtros-search {
        padding: 0px;
        flex-direction: column;
    }

    .search-type {
        width: 100%;
    }

    .search-card {
        max-width: 272px;
        width: 272px !important;
    }



    .contenedor-filtros-group {
        display: flex;
        flex-direction: column;
        min-width: 480px;
        max-width: 720px;
    }

    .boton-filtro {
        display: none !important;
    }

    .banner {
        display: none !important;
    }

    .filtros-search {
        align-items: self-start;
        gap: 16px;
    }

    .search-list {
        min-width: 480px;
        max-width: 720px;
    }

    .img-list-card {
        width: 88px;
        height: 88px;
        flex-shrink: 0;
        border-radius: 16px;
    }



    .contenedor-chips {
        max-width: 420px;
        overflow-x: scroll;
    }
}



/*PANTALLAS PEQUEÑAS*/
@media (max-width: 480px) and (min-width: 320px) {
    .contenedor-principal {
        padding: 0;
        gap: 0;
    }

    .contenedor-main-main {
        min-height: calc(100vh - 65px);
    }

    .contenedor-banner {
        height: 120px;
    }

    #main {
        padding: 0;
        flex-direction: column;
    }

    /* .contenedor-busqueda-body {
        
        overflow-y: initial;
    }*/

    .boton-filtro {
        display: none;
    }

    .contenedor-busqueda-header {
        padding: 8px;
    }

    .contenedor-busqueda-body {
        padding: 8px;
        overflow-y: initial;
    }

    .contenedor-busqueda {
        min-width: 320px;
        max-width: 480px;
        flex-direction: column;
    }

    .contenedor-search-bar {
        padding: 0;
    }

    .contenedor-filtros-group {
        align-items: initial;
    }

    .filtros-search {
        padding: 0px;
        flex-direction: column;
        gap: 24px;
    }

    .search-type {
        width: 100%;
        height: initial;
        flex-direction: column;
    }

    .search-card {
        width: 100%;
        min-width: 320px;
        max-width: 480px;
    }

    .contenedor-filtros-group {
        display: flex;
        width: 100%;
        flex-direction: column;
        min-width: 320px;
        max-width: 480px;
    }

    .boton-contenedor-filtros {
        border-radius: 8px;
    }

    .banner {
        display: none !important;
    }
    .carousel img {
        width: 320px;
        height: 100px;
        border-radius: 16px;
    }
}
